Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Friends | Public Member Functions | List of all members
ranges::any Struct Reference

## Friends
template<typename T >
meta::if_c< std::is_reference< T >)||(bool) copyable< T >, T > | any_cast (any &&)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
meta::if_c< std::is_reference< T >)||(bool) copyable< T >, T > | any_cast (any &)
template<typename T >
T * | any_cast (any *) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
meta::if_c< std::is_reference< T >)||(bool) copyable< T >, T > | any_cast (any const &)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
T const * | any_cast (any const *) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | swap (any &x, any &y) noexcept

## Public Member Functions
| any (any &&) noexcept=default
| any (any const &that)
template<typename TRef , typename T = detail::decay_t<TRef>>
| any (TRef &&t)
void | clear () noexcept
bool | empty () const noexcept
any & | operator= (any &&) noexcept=default
any & | operator= (any const &that)
template<typename TRef , typename T = detail::decay_t<TRef>>
any & | operator= (TRef &&t)
void | swap (any &that) noexcept
std::type_info const & | type () const noexcept

## Methods

## ◆ any_cast

template<typename T >

meta::if_c<std::is_reference<T>) || (bool)copyable<T>, T> any_cast | ( | any & | x | ) |
| friend

Exceptions

  bad_any_cast |

## Member Function Documentation

## ◆ operator=()

template<typename TRef , typename T = detail::decay_t<TRef>>

any& ranges::any::operator= | ( | TRef && | t | ) |

Precondition
  requires `copyable<T> && (!same_as<T, any>)` //

## Constructor & Destructor Documentation

## ◆ any()

template<typename TRef , typename T = detail::decay_t<TRef>>

ranges::any::any | ( | TRef && | t | ) |

Precondition
  requires `copyable<T> && (!same_as<T, any>)` //